Author: jfrederic.clere(a)jboss.com
Date: 2008-02-28 09:45:28 -0500 (Thu, 28 Feb 2008)
New Revision: 1395
Modified:
trunk/build/unix/build.sh
trunk/build/unix/buildbin.rhel-httpd.sh
Log:
Arrange mod_ssl and libz logic.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-02-28 13:57:11 UTC (rev 1394)
+++ trunk/build/unix/build.sh 2008-02-28 14:45:28 UTC (rev 1395)
@@ -60,6 +60,7 @@
build_expat=false
export build_iconv
export build_expat
+export build_zlib
has_cache=false
has_version=false
@@ -602,7 +603,15 @@
else
make depend || exit 1
make || exit 1
- make install_sw || exit 1
+ # To hack broken openssl Makefiles.
+ case ${BUILD_TAG} in
+ hpux-ia64)
+ gmake install_sw CFLAGS=DSO_DLHACK || exit 1
+ ;;
+ *)
+ make install_sw || exit 1
+ ;;
+ esac
if [ ! $ssl_static ] ; then
(cd ${ssl_common_dir}/lib
ln -s libcrypto.${so_extension}.${SSLNUM} libcrypto.${so_extension}.0
@@ -809,6 +818,18 @@
nmake -f NMAKEmakefile $wrapped_args install
fi
)
+ else
+ (cd ${zlib_srcdir}
+ echo "Building in ${zlib_srcdir} ..."
+ if $any_static ; then
+ add_static=""
+ else
+ add_static="--shared"
+ fi
+ ./configure ${add_conf} --prefix=${zlib_common_dir} ${add_static}
+ make
+ make install
+ )
fi
}
@@ -822,10 +843,9 @@
dst_dir=$1
if $has_zlib; then
+ # build both static and dynamic zlib
buildzlib srclib/zlib-${zlib_version} false || return 1
- if $has_static ; then
- buildzlib srclib/zlib-${zlib_version} true || return 1
- fi
+ buildzlib srclib/zlib-${zlib_version} true || return 1
fi
# apr-util has a --with-openssl=DIR so we must be build openssl before apu.
ls srclib | grep openssl >/dev/null
Modified: trunk/build/unix/buildbin.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildbin.rhel-httpd.sh 2008-02-28 13:57:11 UTC (rev 1394)
+++ trunk/build/unix/buildbin.rhel-httpd.sh 2008-02-28 14:45:28 UTC (rev 1395)
@@ -122,6 +122,9 @@
else
add_conf="$add_conf --with-expat=builtin"
fi
+if $build_zlib; then
+ add_conf="$add_conf --with-z=${build_common_dir}-static/"
+fi
# Process mod_jk if needed.
native_sources=srclib/`ls srclib | grep httpd-`
cd $native_sources
@@ -146,7 +149,7 @@
add_conf="${add_conf} CFLAGS=-m64"
;;
esac
-echo "Building prefork and mpm"
+echo "Building prefork and mpm with add_conf: $add_conf"
# Build everything and the kitchen sink with the prefork build
# removed because of ldap dependencies.
Show replies by date